---
# tasks file for media-node
- name: Taint node "foo"
  kubernetes.core.k8s_taint:
    kubeconfig: "{{ kubeconfig }}"
    state: present
    name: "{{ media_node }}"
    taints:
    - effect: NoExecute
      key: "media-node"
      value: "true"
  run_once: true
  delegate_to: localhost
  become: false

- name: Creating base directories
  ansible.builtin.file:
    path: "/media/{{ item }}"
    state: directory
    mode: 0770
    group: 1000
  with_items: "{{ arrs }}"

- name: Adding unsafe sysctl
  ansible.builtin.replace:
    path: /etc/kubernetes/kubelet.env
    regexp: '^.."$'
    replace: '--allowed-unsafe-sysctls net.ipv4.conf.all.src_valid_mark,net.ipv6.conf.all.disable_ipv6"'

- name: Restart kubelet
  ansible.builtin.systemd:
    state: restarted
    daemon_reload: true
    name: kubelet